//Leonardo Carneiro Tesch
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


void contaletra(int tam, char string[50], int vetor[26]){
    char atual;
    int cont, i, j;

    for(i=0; i<26; i++){
        atual = 'a' + i;
        cont = 0;

        for(j=0; j<tam; j++){
            if(atual==string[j]){
                cont++;
            }
        }
        vetor[i] = cont;
    }
}


int main()
{
    char string[50];
    int tam, i;
    int vetor[26];

    printf("Entre com a string:\n");

    scanf("%[^\n]s", &string[0]);

    tam = strlen(string);

    contaletra(tam, string, vetor);

    printf("Estatistica:\n\n");

    for(i=0; i<26; i++){
        char atual;

        atual = 'a' + i;

        if(vetor[i]!=0){
            printf("%c = %d\n\n", atual, vetor[i]);
        }
    }
    return 0;
}
